For the complete documentation index, see llms.txt. This page is also available as Markdown.

Permissions

Public Has Permission Endpoint

get

Public endpoint to check if the user has certain permissions.

Args: resource: The resource the user wants to perform the action on. action: The action the user wants to perform on the resource. user: The authenticated user. rbac: RBAC component.

Returns: Whether the user has permissions to perform the action on that resource.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Query parameters
resourcestringRequired
actionstringRequired
Responses
200

Successful Response

application/json
booleanOptional
get/permissions
GET /permissions?resource=text&action=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
true
ZenML Scarf

Last updated

Was this helpful?